#include <stdio.h>
#include <string.h>
#include "defines.h"

int fenv_atoi(FILE *fp,unchar *env,int def)
{
#define MAXLINE	128
unchar line[MAXLINE],word[MAXLINE];
int num;
	/* ファイル中サーチ */
	if (fp!=NULL) {
		while (!read1line0(fp,line,word,MAXLINE)) { /* ファイル読みだし */
			if (strcmpi(word,env)==0) { /* 一致 */
				rewind(fp); /* ファイルを先頭に戻す */
				GetToken(line,2,word," \t"); /* 数値読みだし */
				atoi3(word,&num,0);
				return(num);
			}
		}
	}
	/* ファイル中には無かった */
	rewind(fp); /* ファイルを先頭に戻す */
	return(env_atoi(env,def));
}
